Banned and incompatible WordPress plugins

We hate banning plugins. However, we’ve optimized our platform for high-performance, reliability, and security. There are some plugins that are not allowed or won’t work properly on the Awwwsome platform. The list below is not all inclusive and may change anytime.

Do you need help finding an alternative plugin to keep the functionality of your website? Contact us and we’ll help!

Caching
Using caching plugins will deteriorate performance and in most cases won’t work on our platform. We already have different types of server-level caching implemented, including object caching, page caching, and query caching.

If you want to run your own caching plugin, please contact us before enabling it. Having two (or more) active caching plugins may results in unexpected behavior of your website.

Backup plugins

We are backing up your website every 24 hours so you don’t need to run your backups (in fact, the misconfiguration of the backup plugins may lead to exhausting your SSD storage space very quickly).

We are aware that following plugins are generating a significant load and may slow-down the WordPress website:

  • BackupBuddy
  • BackWPup
  • Updraft
  • WP DB Backup
  • WP DB Backup Made

Image Optimization

The image optimizer is already active on your website. If you prefer to use a different plugin, please contact us.

There are no specific restrictions and you are welcome to run any plugin you want. However, please notice that imagemagick module is not available.

Performance Plugins

  • Better WordPress Minify
  • P3 Profiler
  • Optimize Database after Deleting Revisions
  • WordPress GZIP Compression
  • WP-Optimize
  • JCH Optimize

Other

  • Allow PHP Execute
  • Dynamic Widgets
  • Exec-PHP
  • Inactive User Deleter
  • Pipdig Power Pack (P3)
  • WP RSS Multi Importer
  • WordPress Popular Posts

Security Plugins
A lot of security plugins cause performance issues due to their always-on and scanning functionalities. We have already implemented a lot of these features, so you don’t need extra tools to keep your website secured.

  • Login Wall
  • iThemes Security

We also highly recommend utilizing a solution such as Cloudflare or StackPath to further secure your website. Our team may assist you with the implementation of Cloudflare or StackPath. The latter is free on Awwwsome Cloud!

Social Media Plugins

  • Facebook Instant Articles & Google AMP Pages by PageFrog
  • Facebook Open Graph, Google+ and Twitter Card Tags

Nulled Plugins
Nulled plugins typically refer to premium WordPress plugins or themes that have been hacked or contain a modified code designed to make it work without a valid license key. These are obtained from a third-party website (not the original author or creator) and often contain malicious code that may cause harm or collect information.

Awwwsome’s responsibility for a hacked website or security breach will be voided if you’re using a nulled plugin.

Incompatible Plugins

WooCommerce Amazon & eBay Integration – needs proc_open PHP function which is disabled on our platform due to security reasons.

Share on facebook
Share on twitter
Share on linkedin
Share on reddit
Share on pocket

Still need help?

Send us a message